[packages/adapter: 311/631] - tabs and exit with error
glen
glen at pld-linux.org
Mon Sep 12 20:00:31 CEST 2016
commit af0e64d680b82bf54034c1d3af305a2ff1ac56ae
Author: Elan Ruusamäe <glen at pld-linux.org>
Date: Sun Apr 2 01:55:21 2006 +0000
- tabs and exit with error
Changed files:
adapter.sh -> 1.15
adapter.sh | 6 ++++--
1 file changed, 4 insertions(+), 2 deletions(-)
---
diff --git a/adapter.sh b/adapter.sh
index 44fe4bb..8483db6 100644
--- a/adapter.sh
+++ b/adapter.sh
@@ -28,10 +28,12 @@ usage="Usage: $self [FLAGS] SPECFILE
skip %defattr corrections
"
+
if [ ! -x /usr/bin/getopt ]; then
-echo "You need to install util-linux to use adapter"
-exit 0
+ echo >&1 "You need to install util-linux to use adapter"
+ exit 1
fi
+
t=`getopt -o hsmda --long help,sort,sort-br,no-macros,skip-macros,skip-desc,skip-defattr -n "$self" -- "$@"` || exit $?
eval set -- "$t"
================================================================
---- gitweb:
http://git.pld-linux.org/gitweb.cgi/packages/adapter.git/commitdiff/6ca0126d4d0c8c79feb7db10b0a0fade0f3b8885
More information about the pld-cvs-commit
mailing list